#!/usr/local/bin/perl5 -w

# This script adds to the game queue.

use vars qw($usage);
$usage = "remove_from_game_queue.pl <count>\n";

use File::Basename;
$dir = dirname($0); #gets the directory of this script

require "$dir/support.pl";

($qdir, undef, undef, $gamelistfn) = &lock_info;
$gamelisttmpfn = "$qdir/gamelist.$$.tmp";

(@ARGV == 1) || die $usage;

$toremove = shift @ARGV;

(acquire_lock(-1, "remove_from_game_queue.pl $$")==0) || die "Could not acquire queue lock!";

open (GAMELIST, "<$gamelistfn") || die "Could not open game list file: $!";
open (GAMELISTTMP, ">$gamelisttmpfn") || die "Could not open game list tmp file: $!";

while ($_ = <GAMELIST>) {
  if (/^\s*\#/) {
    print GAMELISTTMP $_;
    next;
  }
  #we have a real line to use!
  if ($toremove != 0) {
    print "Removing: $_";
    $toremove--;
  } else {
    print GAMELISTTMP $_;
  }
}

close GAMELIST;
close GAMELISTTMP;
unlink $gamelistfn or die "Could not unlink game list file: $!";
rename $gamelisttmpfn, $gamelistfn or die "Could not rename tmp file: $!";
&release_lock;


